{% extends "base.html" %}

{% load i18n %}
{% load static %}

{% block extra_headers %}
<link rel="stylesheet" href="{% static "openpaper_scandb.css" %}">
{% block scandb_extra_headers %}{% endblock %}
{% endblock %}

{% block title %}
{% blocktrans with report_id=report_db.id vendor=report.scanner.vendor model=report.scanner.model %}
Scan traces {{ report_id }} - {{ vendor }} {{ model }}
{% endblocktrans %}
{% endblock %}

{% block body %}
<h1>
{% blocktrans with report_id=report_db.id vendor=report.scanner.vendor model=report.scanner.model %}
Scan traces {{ report_id }} - {{ vendor }} {{ model }}
{% endblocktrans %}
</h1>

{% for chunk in traces %}

{% if chunk.type == "DEBUG" %}
    <button class="scandb_accordion" style="padding-top: 5px; padding-bottom: 0px;">DEBUG</button>
    <div class="scandb_panel" style="color: {{ chunk.color }};">
    {% for line in chunk.lines %}
        <code>{{ line }}</code><br/>
    {% endfor %}
    </div>
{% else %}
    {% for line in chunk.lines %}
    <code style="color: {{ chunk.color }};">{{ line }}</code><br/>
    {% endfor %}
{% endif %}

{% endfor %}

<script type="text/javascript">
var acc = document.getElementsByClassName("scandb_accordion");
var i;

for (i = 0; i < acc.length; i++) {
    acc[i].addEventListener("click", function() {
        this.classList.toggle("scandb_active");

        var panel = this.nextElementSibling;
        if (panel.style.display === "block") {
            panel.style.display = "none";
            panel.style.overflow = "hidden";
        } else {
            panel.style.display = "block";
            panel.style.overflow = "auto";
        }
    });
}
</script>

{% endblock %}
